QGIS Application - Bug report #10870
Processing: Batch processing > Import into PostGIS | Error
2014-07-10 09:50 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19238
Description

Apparently the SRID is missing when attempting to batch import:

Algorithm Import into PostGIS starting...

Algorithm Import into PostGIS correctly executed...

Algorithm Import into PostGIS starting...

Error importing to PostGIS Errore nella creazione della sorgente dati "public"."fvg_": ERROR: AddGeometryColumn() - invalid SRID
CONTESTO:

SQL statement "SELECT AddGeometryColumn(",$1,$2,$3,$4,$5,$6,$7)"

PL/pgSQL function addgeometrycolumn(character varying,character varying,character varying,integer,character
varying,integer,boolean)

line 5 at SQL statement

When importing one by one, everything OK.

History

#1 - 2014-07-11 02:19 AM - Giovanni Manghi

- Status changed from Open to Feedback

| cannot confirm here, it works as expected on both Linux and Windows.

Can you add sample data?

#2 - 2014-07-15 08:11 AM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#3 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
